Debian Bug report logs - #632238
libshell-perl: not installable in sid

version graph

Package: libshell-perl; Maintainer for libshell-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libshell-perl is src:libshell-perl.

Reported by: Ralf Treinen <treinen@free.fr>

Date: Thu, 30 Jun 2011 18:39:01 UTC

Severity: serious

Tags: sid

Merged with 627211

Found in version libshell-perl/0.72-1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#632238; Package libshell-perl. (Thu, 30 Jun 2011 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 30 Jun 2011 18:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: libshell-perl: not installable in sid
Date: Thu, 30 Jun 2011 20:35:05 +0200
Package: libshell-perl
Version: 0.72-1
Severity: grave
Tags: sid
User: treinen@debian.org
Usertags: edos-uninstallable

Hi,

libshell-perl is not installable in sid on any architecture since May 21
because it conflicts with the current version of perl-modules.

Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#632238; Package libshell-perl. (Thu, 30 Jun 2011 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 30 Jun 2011 18:48:06 GMT) Full text and rfc822 format available.

Message #10 received at 632238@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Ralf Treinen <treinen@free.fr>, 632238@bugs.debian.org
Subject: Re: Bug#632238: libshell-perl: not installable in sid
Date: Thu, 30 Jun 2011 19:44:36 +0100
On Thu, Jun 30, 2011 at 08:35:05PM +0200, Ralf Treinen wrote:
> libshell-perl is not installable in sid on any architecture since May 21
> because it conflicts with the current version of perl-modules.

As intended; see also #627211. It's currently of interest to those
using perl 5.14 from experimental and has been staged in preparation
for an upload of 5.14 to unstable.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#632238; Package libshell-perl. (Thu, 30 Jun 2011 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 30 Jun 2011 18:57:08 GMT) Full text and rfc822 format available.

Message #15 received at 632238@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: Dominic Hargreaves <dom@earth.li>
Cc: 632238@bugs.debian.org
Subject: Re: Bug#632238: libshell-perl: not installable in sid
Date: Thu, 30 Jun 2011 20:54:58 +0200
On Thu, Jun 30, 2011 at 07:44:36PM +0100, Dominic Hargreaves wrote:
> On Thu, Jun 30, 2011 at 08:35:05PM +0200, Ralf Treinen wrote:
> > libshell-perl is not installable in sid on any architecture since May 21
> > because it conflicts with the current version of perl-modules.
> 
> As intended; see also #627211. It's currently of interest to those
> using perl 5.14 from experimental and has been staged in preparation
> for an upload of 5.14 to unstable.

OK, but then it should have been uploaded to experimental, not sid.
All dependencies of packages in sid must be satisfiable in sid.

-Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#632238; Package libshell-perl. (Thu, 30 Jun 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 30 Jun 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 632238@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Ralf Treinen <treinen@free.fr>
Cc: 632238@bugs.debian.org
Subject: Re: Bug#632238: libshell-perl: not installable in sid
Date: Thu, 30 Jun 2011 22:29:43 +0100
On Thu, Jun 30, 2011 at 08:54:58PM +0200, Ralf Treinen wrote:
> On Thu, Jun 30, 2011 at 07:44:36PM +0100, Dominic Hargreaves wrote:
> > On Thu, Jun 30, 2011 at 08:35:05PM +0200, Ralf Treinen wrote:
> > > libshell-perl is not installable in sid on any architecture since May 21
> > > because it conflicts with the current version of perl-modules.
> > 
> > As intended; see also #627211. It's currently of interest to those
> > using perl 5.14 from experimental and has been staged in preparation
> > for an upload of 5.14 to unstable.
> 
> OK, but then it should have been uploaded to experimental, not sid.
> All dependencies of packages in sid must be satisfiable in sid.

I think this is a matter of opinion. It would be practically impossible
to prevent this situation from arising with dual lived modules in
general because of the way we add specific versioned Breaks to perl for
those modules, and I don't see that going to enormous lengths to prevent
the situation benefits anyone. Whilst in this specific case the Breaks
could have been foreseen in advance, and the package could indeed have
been uploaded to experimental, this would just have been one more
complication added to the perl 5.14 transition plans which is not
necessary in my opinion.

It's perfectly okay to file this bug to prevent the uninstallable
package propogating to testing (although in this case there was on
already) but in the context of the development cycle of Debian there
isn't actually anything wrong here.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Forcibly Merged 627211 632238. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 01 Aug 2011 16:33:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Dec 2011 07:33:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:22:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.